import { Overlay, OverlayConfig, PositionStrategy, ScrollStrategy } from '@angular/cdk/overlay';
import { ComponentType } from '@angular/cdk/portal';
import { ElementRef, Injector } from '@angular/core';
import { Observable } from 'rxjs';
import { TooltipRef } from './tooltip-ref';
interface TooltipOverlayConfig {
    hasBackdrop?: boolean;
    backdropClass?: string;
    scrollStrategy?: ScrollStrategy;
    positionStrategy?: PositionStrategy;
    message?: string;
    tooltipClass?: Observable<string[]>;
}
export declare class TooltipService {
    private injector;
    private overlay;
    private closeTooltip;
    Information: string;
    constructor(injector: Injector, overlay: Overlay);
    open(origin: ElementRef, component: ComponentType<{}>, config?: TooltipOverlayConfig): TooltipRef;
    getOverlayConfig(origin: ElementRef, config: TooltipOverlayConfig): OverlayConfig;
    private createOverlay;
    private attachDialogContainer;
    private createInjector;
    close(): void;
    closingTooltip(): Observable<any>;
}
export {};
